Questo sito utilizza cookies, anche di terze parti, per mostrare pubblicità e servizi in linea con il tuo account. Leggi l'informativa sui cookies.
Username: Password: oppure
C# / VB.NET - Errore vb.net 'System.ComponentModel.Component'
Forum - C# / VB.NET - Errore vb.net 'System.ComponentModel.Component' - Pagina 2

Pagine: [ 1 2 ] Precedente | Prossimo
Avatar
gianluca (Normal User)
Pro


Messaggi: 103
Iscritto: 23/06/2008

Segnala al moderatore
Postato alle 16:23
Lunedì, 01/06/2009
Up!

Nessuno mi sa dare 1 mano? sicuri sicuri??? :asd:

PM Quote
Avatar
Jeremy (Normal User)
Pro


Messaggi: 134
Iscritto: 08/02/2009

Segnala al moderatore
Postato alle 16:34
Lunedì, 01/06/2009
Ciao.
Ti manca il riferimento all'assembly che contiene
MySqlDataAdapter ,MySqlCommandBuilder, MySqlDataReader che sono, probabilmente, anzi sicuramente, delle classi personalizzate.
Il fatto che faccia ariferimento al namespace System.ComponentModel...etc..etc , dipende forse dal fatto che tali classi, implementano l'interfaccia IComponent o qualcosa del genere(adesso non ricordo).

Ciao

PM Quote
Avatar
gianluca (Normal User)
Pro


Messaggi: 103
Iscritto: 23/06/2008

Segnala al moderatore
Postato alle 16:44
Lunedì, 01/06/2009
grazie per la risp!

Come faccio a inserirle nel palmare cosicche ci siano pure li?
devo inserirle manualmente o devo installare la classe personalizzata nel palmare(se si come faccio)?
l'ide vb.net rileva l'errore xke sa ke nn c'è la dll nel palmare o x altro?
se c'è un metodo anke piu semplice per voi lo accetto mooooolto volentieri lo stesso! :D

grazie...

Gianluca

PM Quote
Avatar
Jeremy (Normal User)
Pro


Messaggi: 134
Iscritto: 08/02/2009

Segnala al moderatore
Postato alle 17:10
Lunedì, 01/06/2009
Ciao Gianluca.
Guardando bene lo screenshot, mi sono accorto di aver detto una mezza cag..a, solo mezza però.
Il problema è che l'assembly al quale fai riferimento per i tipi che hai indicato come TIPO ERRORE, derivano da classi native del framework, ma con una versione diversa da quella che hai attualmente installato.
Probabilmente, si capisce dallo screenshot, tu avresti bisogno tali classi nella versione 1.0 del .NET Framework, mentre tu hai installato una versione successiva.



PM Quote
Pagine: [ 1 2 ] Precedente | Prossimo